{{ $appSection := "backend" -}}
{{ $appName := (index . "Values" $appSection "name") -}}
{{- if index . "Values" $appSection "enabled" -}}
apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ $appName }}-config
data:
  copyDataCronTasks.json: |
    {{ index . "Values" "configurationFiles" "backend" "copyDataCronTasks" | nindent 4 }}
  routeDefinitions.json: |
    {{ index . "Values" "configurationFiles" "backend" "routeDefinitions" | nindent 4 }}
{{- end }}
